What's up my homies who refuse to grow up like me .

Alright here's my situation, I had someone put the wiikey (first gen I think) and I just recently games have started to not work. So I figure it's time to get my chops up as to why. I have firm 3.4u and no soft anything, no homebrew, nada. I don't have the patience to install and go through the faqs and learn all that stuff, which is why I have a wiikey.

I'm trying to get NSMB working but been hearing scary things about people updating via the disk and getting the brick. When I put my copy in, I notice the first this it wants to do is update as you all know. I have yet to do this.

SO, questions:

1. How can I tell what version of wiikey (version & firmware of the wiikey) I have without opening it up?

2. If I do this update, am I brickbound?

3. Say the update works and I manage to avoid the brick, would the game work? I have done nothing to the game its self (Qwiif release).


I was in this situation before with Madworld, did the update and came up roses.


For those who care, THANKS!